Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033148
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] AnalyticsminorN/A2016-06-06 11:192016-06-13 17:47
ReportercaristuView Statuspublic 
Assigned Toplatform 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionce62fd73d172
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toalostale
Regression introduced in release
Summary

0033148: Configurable Update Analytics Fact Tables Process

DescriptionIt would be nice if the Update Analytics Fact Tables Process would be configurable to calculate fact data just for a particular date range.

Project Documentation: http://wiki.openbravo.com/wiki/Projects:Configurable_Update_Analytics_Fact_Tables_Process [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0032235 acknowledgedalostale Modules Update Analytics Fact Tables background process takes too long when the tables are empty 
related to defect 0033242 closedcaristu Retail Modules OBRetailAnalyticsFactSessionUpdater should make use of Analytics fact process configuration 

-  Notes
(0087167)
hgbot (developer)
2016-06-10 14:50

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: ce62fd73d1728677317046aa72639791d5d1945e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 06 12:18:49 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/ce62fd73d1728677317046aa72639791d5d1945e [^]

fixes issue 33148: Configurable Update Analytics Fact Tables Process

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactDiscountsUpdater.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactOrderUpdater.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactSalesOrderHeaderUpdater.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactUpdater.java
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactUpdaterHandler.java
M src/org/openbravo/client/analytics/process/OBAnalyticsFactUpdaterProcess.java
A src-db/database/model/tables/OBANALY_FACT_UPDATER_CONF.xml
A src/org/openbravo/client/analytics/event/ProcessConfigurationEventHandler.java
A src/org/openbravo/client/analytics/process/OBAnalyticsBackwardFactUpdaterProcess.java
---
(0087199)
alostale (developer)
2016-06-13 15:08

code reviewed + tested
(0087207)
hgbot (developer)
2016-06-13 17:47

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: 1b0a2521185110d6ec8c189fdaf95f61c2c6aa85
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 13 17:46:34 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/1b0a2521185110d6ec8c189fdaf95f61c2c6aa85 [^]

related to issue 33148: removed info of created facts
The doSave method of OBAnalyticsFactUpdater can be updated so the information being returned could not be correct. Now just the createdFacts number is logged. Every class extending OBAnalyticsFactUpdater should take care of updating the createdFacts number of properly in case the doSave method is overriden to create a different number of fact records.

---
M src/org/openbravo/client/analytics/fact/OBAnalyticsFactUpdater.java
---

- Issue History
Date Modified Username Field Change
2016-06-06 11:19 caristu New Issue
2016-06-06 11:19 caristu Assigned To => platform
2016-06-06 11:19 caristu Assigned To platform => caristu
2016-06-06 11:19 caristu Assigned To caristu =>
2016-06-06 11:20 caristu Status new => scheduled
2016-06-06 11:21 caristu Relationship added related to 0032235
2016-06-06 11:21 caristu Assigned To => caristu
2016-06-10 14:50 hgbot Checkin
2016-06-10 14:50 hgbot Note Added: 0087167
2016-06-10 14:50 hgbot Status scheduled => resolved
2016-06-10 14:50 hgbot Resolution open => fixed
2016-06-10 14:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/ce62fd73d1728677317046aa72639791d5d1945e [^]
2016-06-10 14:55 caristu Review Assigned To => alostale
2016-06-10 14:55 caristu Issue Monitored: alostale
2016-06-10 14:55 caristu Assigned To caristu => platform
2016-06-13 15:08 alostale Note Added: 0087199
2016-06-13 15:08 alostale Status resolved => closed
2016-06-13 17:47 hgbot Checkin
2016-06-13 17:47 hgbot Note Added: 0087207
2016-06-13 17:52 caristu Relationship added related to 0033242


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker